Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.ejb
Interface Timer

public interface Timer

The Timer interface contains information about a timer that was created through the EJB Timer Service.

Method Summary
`void` | `cancel()` Cause the timer and all its associated expiration notifications to be cancelled.
`TimerHandle` | `getHandle()` Get a serializable handle to the timer.
`java.io.Serializable` | `getInfo()` Get the information associated with the timer at the time of creation.
`java.util.Date` | `getNextTimeout()` Get the point in time at which the next timer expiration is scheduled to occur.
`long` | `getTimeRemaining()` Get the number of milliseconds that will elapse before the next scheduled timer expiration.

Method Detail

### cancel

    public void cancel()
                throws java.lang.IllegalStateException,
                       NoSuchObjectLocalException,
                       EJBException

  Cause the timer and all its associated expiration notifications to be cancelled.

  Throws:
    `java.lang.IllegalStateException` - If this method is invoked while the instance is in a state that does not allow access to this method.
    `NoSuchObjectLocalException` - If invoked on a timer that has expired or has been cancelled.
    `EJBException` - If this method could not complete due to a system-level failure.

### getTimeRemaining

    public long getTimeRemaining()
                          throws java.lang.IllegalStateException,
                                 NoSuchObjectLocalException,
                                 EJBException

  Get the number of milliseconds that will elapse before the next scheduled timer expiration.

  Returns:
    the number of milliseconds that will elapse before the next scheduled timer expiration.
  Throws:
    `java.lang.IllegalStateException` - If this method is invoked while the instance is in a state that does not allow access to this method.
    `NoSuchObjectLocalException` - If invoked on a timer that has expired or has been cancelled.
    `EJBException` - If this method could not complete due to a system-level failure.

### getNextTimeout

    public java.util.Date getNextTimeout()
                                  throws java.lang.IllegalStateException,
                                         NoSuchObjectLocalException,
                                         EJBException

  Get the point in time at which the next timer expiration is scheduled to occur.

  Returns:
    the point in time at which the next timer expiration is scheduled to occur.
  Throws:
    `java.lang.IllegalStateException` - If this method is invoked while the instance is in a state that does not allow access to this method.
    `NoSuchObjectLocalException` - If invoked on a timer that has expired or has been cancelled.
    `EJBException` - If this method could not complete due to a system-level failure.

### getInfo

    public java.io.Serializable getInfo()
                                 throws java.lang.IllegalStateException,
                                        NoSuchObjectLocalException,
                                        EJBException

  Get the information associated with the timer at the time of creation.

  Returns:
    The Serializable object that was passed in at timer creation, or null if the info argument passed in at timer creation was null.
  Throws:
    `java.lang.IllegalStateException` - If this method is invoked while the instance is in a state that does not allow access to this method.
    `NoSuchObjectLocalException` - If invoked on a timer that has expired or has been cancelled.
    `EJBException` - If this method could not complete due to a system-level failure.

### getHandle

    public TimerHandle getHandle()
                          throws java.lang.IllegalStateException,
                                 NoSuchObjectLocalException,
                                 EJBException

  Get a serializable handle to the timer. This handle can be used at a later time to re-obtain the timer reference.

  Returns:
    a serializable handle to the timer.
  Throws:
    `java.lang.IllegalStateException` - If this method is invoked while the instance is in a state that does not allow access to this method.
    `NoSuchObjectLocalException` - If invoked on a timer that has expired or has been cancelled.
    `EJBException` - If this method could not complete due to a system-level failure.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.